<?php


/**
 * OHMS Viewer version 3.3.5 - install
 *
 * @author Your Name Here
 */
class i_ohmsviewer_3_3_7_install extends i_action_install
{	//==========================================================================
	// STEP I: INTERNAL CONFIGURABLES
	//==========================================================================
		
	public function step1_init()
	{
		$this->setStepLabel("_step_progress_settings");
		// TIP: custom inputs can be added here! see: http://www.installatron.com/sdk_commands#howinput
	}
		
	public function step1_process()
	{
		// TIP: error checking for custom inputs can be added here
	}
		
	//==========================================================================
	// STEP II: ARCHIVE EXTRACTION
	//==========================================================================
		
	public function step2_init()
	{
		$this->setStepLabel("_step_progress_extracting");
	}
		
	public function step2_process()
	{
		// extract the 'main' and 'sample' archives:
		$this->extract("main");
		$this->extract("sample");
	}
		
	//==========================================================================
	// STEP III: CONFIGURING INSTALL
	//==========================================================================
		
	public function step3_init()
	{
		$this->setStepLabel("_step_progress_processing");
	}
		
	public function step3_process()
	{
		$this->mv("ohms-viewer-3.3.7/*");
		$this->rm("ohms-viewer-3.3.7");
		$this->mkdir("cachefiles");
		$this->mv("SampleOHMSCache-1.05/*","cachefiles/");
		$this->mv("cachefiles/ohms.html","index.html");
		$this->rm("SampleOHMSCache-1.05");
		$this->write("config/config.ini","tmpDir = ##pathname##
	players = other,brightcove,kaltura,youtube
	timezone = America/New_York
		
	[Your Repository Name]
	css = custom_default.css
	footerimg = 
	footerimgalt = 
	contactemail = ##contactemail##
	contactlink = 
	copyrightholder = 
	open_graph_description = 
	open_graph_image = 
	ga_tracking_id =
	ga_host =
		
	# Sample Repository
	[Louie B. Nunn Center for Oral History, University of Kentucky Libraries]
	css = custom_default.css
	footerimg = 
	footerimgalt = 
	contactemail = ##contactemail##
	contactlink = 
	copyrightholder = 
	open_graph_description = 
	open_graph_image = 
	ga_tracking_id =
	ga_host =
	");
		$this->sr("config/config.ini", "/##pathname##/", $this->path.'/cachefiles');
		$this->sr("config/config.ini", "/##contactemail##/", var_export($this->input['field_email'],true));
		$this->rm(".htaccess");
		$this->write(".htaccess","RewriteEngine On");
	}
}


?>